;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp -*-

#|
Copyright (C) 2007  David Owen <dsowen@fugue88.ws>

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
|#

(defpackage #:dso-parse
  (:documentation
   "Defines macros for matching input against rules and building trees
(see the IF-MATCHES-* macros, but especially IF-MATCHES), and for
defining parsers (DEFPARSER) and grammars (DEFGRAMMAR).")
  (:use #:cl #:cl-ppcre)
  (:export #:if-matches-parser
	   #:if-matches-char
	   #:if-matches-string
	   #:if-matches-regex
	   #:if-matches-choice
	   #:if-matches-sequence
	   #:if-matches-count
	   #:if-matches-required
	   #:if-matches-forbidden
	   #:if-matches-only
	   #:if-matches))
